이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: AddLbServerGroupMembers
- 2: CreateLBHealthCheck
- 3: CreateLbListener
- 4: CreateLBServerGroup
- 5: CreateLoadbalancer
- 6: CreateLoadbalancerPublicNatIp
- 7: DeleteLBHealthCheck
- 8: DeleteLbListener
- 9: DeleteLBServerGroup
- 10: DeleteLoadbalancer
- 11: DeleteLoadbalancerPublicNatIp
- 12: ListLBHealthChecks
- 13: ListLbListeners
- 14: ListLbServerGroupMembers
- 15: ListLBServerGroups
- 16: ListLoadbalancerCertificates
- 17: ListLoadbalancers
- 18: RemoveLbServerGroupMember
- 19: RemoveLbServerGroupMembers
- 19.1: 1.2
- 20: SetLBHealthCheck
- 21: SetLbListener
- 22: SetLBServerGroup
- 23: SetLbServerGroupMember
- 24: SetLoadbalancer
- 24.1: 1.1
- 25: ShowLBHealthCheck
- 26: ShowLbListener
- 27: ShowLBServerGroup
- 28: ShowLbServerGroupMember
- 29: ShowLoadbalancer
- 30: ShowLoadbalancerCertificate
- 31: ShowLoadbalancerPublicNatIp
1 - AddLbServerGroupMembers
1.1 - 1.2
post /v1/lb-server-groups/{lb_server_group_id}/members
Description
Member를 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| body | body required | MemberListCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | MemberListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"members": [
{
"member_ip": "192.168.0.1",
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100,
"name": "virtualserver-1",
"object_id": "1",
"object_type": "VM"
}
]
}
Example HTTP response
Response 202
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
]
}
1.2 - 1.1
post /v1/lb-server-groups/{lb_server_group_id}/members
Description
Member를 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| body | body required | MemberListCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | MemberListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"members": [
{
"member_ip": "192.168.0.1",
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100,
"name": "virtualserver-1",
"object_id": "1",
"object_type": "VM"
}
]
}
Example HTTP response
Response 202
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
]
}
2 - CreateLBHealthCheck
2.1 - 1.2
post /v1/lb-health-checks
Description
LB 헬스 체크를 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbHealthCheckCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"name": "ServerGroup01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 201
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
2.2 - 1.1
post /v1/lb-health-checks
Description
LB 헬스 체크를 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbHealthCheckCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"name": "ServerGroup01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 201
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
3 - CreateLbListener
3.1 - 1.2
post /v1/lb-listeners
Description
Listener를 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbListenerCreateRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"loadbalancer_id": "",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": false,
"tags": [],
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 201
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
3.2 - 1.1
post /v1/lb-listeners
Description
Listener를 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbListenerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"loadbalancer_id": "",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": false,
"tags": [],
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 201
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
4 - CreateLBServerGroup
4.1 - 1.2
post /v1/lb-server-groups
Description
LB 서버 그룹을 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"name": "ServerGroup01",
"protocol": "TCP",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
4.2 - 1.1
post /v1/lb-server-groups
Description
LB 서버 그룹을 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LbServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"name": "ServerGroup01",
"protocol": "TCP",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"tags": [],
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
5 - CreateLoadbalancer
5.1 - 1.2
post /v1/loadbalancers
Description
LoadBalancer를 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LoadbalancerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LoadbalancerCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"loadbalancer": {
"description": "",
"firewall_enabled": true,
"firewall_logging_enabled": true,
"health_check_ip_1": "",
"health_check_ip_2": "",
"layer_type": "",
"name": "",
"publicip_id": "",
"service_ip": "",
"source_nat_ip": "",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
5.2 - 1.1
post /v1/loadbalancers
Description
LoadBalancer를 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LoadbalancerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LoadbalancerCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"loadbalancer": {
"description": "",
"firewall_enabled": true,
"firewall_logging_enabled": true,
"health_check_ip_1": "",
"health_check_ip_2": "",
"layer_type": "",
"name": "",
"publicip_id": "",
"service_ip": "",
"source_nat_ip": "",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
6 - CreateLoadbalancerPublicNatIp
6.1 - 1.2
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
LoadBalancer Public NAT를 생성한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
| body | body required | StaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | StaticNatCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}
6.2 - 1.1
post /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
LoadBalancer Public NAT를 생성한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
| body | body required | StaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | StaticNatCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"static_nat": {
"publicip_id": ""
}
}
Example HTTP response
Response 201
{
"static_nat": {
"account_id": "",
"action_type": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"external_ip_address": "",
"id": "",
"internal_ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"owner_id": "",
"owner_name": "",
"owner_type": "",
"publicip_id": "",
"service_ip_port_id": "",
"state": "",
"subnet_id": "",
"type": "",
"vpc_id": ""
}
}
7 - DeleteLBHealthCheck
7.1 - 1.2
delete /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
7.2 - 1.1
delete /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
8 - DeleteLbListener
8.1 - 1.2
delete /v1/lb-listeners/{listener_id}
Description
Listener를 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
8.2 - 1.1
delete /v1/lb-listeners/{listener_id}
Description
Listener를 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
9 - DeleteLBServerGroup
9.1 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
9.2 - 1.1
delete /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
10 - DeleteLoadbalancer
10.1 - 1.2
delete /v1/loadbalancers/{loadbalancer_id}
Description
LoadBalancer를 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
10.2 - 1.1
delete /v1/loadbalancers/{loadbalancer_id}
Description
LoadBalancer를 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
11 - DeleteLoadbalancerPublicNatIp
11.1 - 1.2
delete /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
LoadBalancer Public NAT를 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 204
11.2 - 1.1
delete /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
LoadBalancer Public NAT를 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 204
12 - ListLBHealthChecks
12.1 - 1.2
get /v1/lb-health-checks
Description
LB 헬스 체크 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LB 헬스 체크명 Example : Test-LbMonitor-01 | any of [string, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbHealthCheckListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"lb_health_checks": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_type": "DEFAULT",
"id": "46c681018e33453085ca7c8db54e0076",
"lb_server_group_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
12.2 - 1.1
get /v1/lb-health-checks
Description
LB 헬스 체크 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LB 헬스 체크명 Example : Test-LbMonitor-01 | any of [string, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbHealthCheckListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"lb_health_checks": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_type": "DEFAULT",
"id": "46c681018e33453085ca7c8db54e0076",
"lb_server_group_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
13 - ListLbListeners
13.1 - 1.2
get /v1/lb-listeners
Description
Listener 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | loadbalancer_id optional | LB 아이디 Example : | any of [string, null] | None |
| query | state optional | Listener 상태 Example : | any of [string, null] | None |
| query | name optional | Listener 명 Example : | any of [string, null] | None |
| query | service_port optional | 서비스 포트 Example : | any of [integer, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS)], enum (TCP, UDP, HTTP, HTTPS, TLS), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
13.2 - 1.1
get /v1/lb-listeners
Description
Listener 목록을 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | loadbalancer_id optional | LB 아이디 Example : | any of [string, null] | None |
| query | state optional | Listener 상태 Example : | any of [string, null] | None |
| query | name optional | Listener 명 Example : | any of [string, null] | None |
| query | service_port optional | 서비스 포트 Example : | any of [integer, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS)], enum (TCP, UDP, HTTP, HTTPS, TLS), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"listeners": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"protocol": "",
"service_port": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
14 - ListLbServerGroupMembers
14.1 - 1.2
get /v1/lb-server-groups/{lb_server_group_id}/members
Description
Member 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Member 명 Example : | any of [string, null] | None |
| query | member_ip optional | Member ID Example : | any of [string, null] | None |
| query | member_port optional | Member 포트 Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MemberWithHealthStateListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_state": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
14.2 - 1.1
get /v1/lb-server-groups/{lb_server_group_id}/members
Description
Member 목록을 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Member 명 Example : | any of [string, null] | None |
| query | member_ip optional | Member ID Example : | any of [string, null] | None |
| query | member_port optional | Member 포트 Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MemberWithHealthStateListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"members": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_state": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
15 - ListLBServerGroups
15.1 - 1.2
get /v1/lb-server-groups
Description
LB 서버 그룹 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LB 서버 그룹 명 Example : ServerGroup01 | any of [string, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, UDP)], enum (TCP, UDP), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 8acceeb6920c4fc494490d864f67f0b5 | any of [string, null] | None |
| query | lb_health_check_id optional | LB 헬스 체크 ID Example : 46c681018e33453085ca7c8db54e0076 | string | None |
| query | lb_method optional | 부하 분산 Example : ROUND_ROBIN | any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbServerGroupListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_name": "Test-LB-01",
"lb_server_group_member_count": 2,
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
15.2 - 1.1
get /v1/lb-server-groups
Description
LB 서버 그룹 목록을 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LB 서버 그룹 명 Example : ServerGroup01 | any of [string, null] | None |
| query | protocol optional | 프로토콜 Example : ['TCP', 'UDP'] | any of [array[enum (TCP, UDP)], enum (TCP, UDP), null] | None |
| query | subnet_id optional | Service Subnet ID Example : 60fba45cb6c811efba41ba92e4fe7200 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 8acceeb6920c4fc494490d864f67f0b5 | any of [string, null] | None |
| query | lb_health_check_id optional | LB 헬스 체크 ID Example : 46c681018e33453085ca7c8db54e0076 | string | None |
| query | lb_method optional | 부하 분산 Example : ROUND_ROBIN | any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbServerGroupListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"lb_server_groups": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_name": "Test-LB-01",
"lb_server_group_member_count": 2,
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
16 - ListLoadbalancerCertificates
16.1 - 1.2
get /v1/loadbalancers/certificates
Description
인증서 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbCertificateListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/certificates
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "",
"cn": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"not_after_dt": "2026-02-11T06:42:52.611Z",
"not_before_dt": "2026-02-11T06:42:52.611Z",
"state": ""
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
16.2 - 1.1
get /v1/loadbalancers/certificates
Description
인증서 목록을 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbCertificateListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/certificates
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"certificates": [
{
"cert_kind": "",
"cn": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"not_after_dt": "2026-02-11T06:42:52.611Z",
"not_before_dt": "2026-02-11T06:42:52.611Z",
"state": ""
}
],
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
17 - ListLoadbalancers
17.1 - 1.2
get /v1/loadbalancers
Description
LoadBalancer 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LoadBalancer 명 Example : | any of [string, null] | None |
| query | state optional | The state of the load balancer. Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | LoadBalancer 서비스 IP Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | layer_type optional | 계층 타입 Example : | any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/loadbalancers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
17.2 - 1.1
get /v1/loadbalancers
Description
LoadBalancer 목록을 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | LoadBalancer 명 Example : | any of [string, null] | None |
| query | state optional | The state of the load balancer. Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | LoadBalancer 서비스 IP Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | layer_type optional | 계층 타입 Example : | any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/loadbalancers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
18 - RemoveLbServerGroupMember
18.1 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 삭제한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 202
18.2 - 1.1
delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 삭제한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 202
19 - RemoveLbServerGroupMembers
19.1 - 1.2
delete /v1/lb-server-groups/{lb_server_group_id}/members
Description
Remove Lb Server Group Members
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| body | body required | MemberDeleteBulkRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"member_id_list": [
""
]
}
Example HTTP response
Response 202
20 - SetLBHealthCheck
20.1 - 1.2
put /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
| body | body required | LbHealthCheckSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200"
}
}
Example HTTP response
Response 202
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
20.2 - 1.1
put /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
| body | body required | LbHealthCheckSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_health_check": {
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_url": "/test",
"http_method": "GET",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200"
}
}
Example HTTP response
Response 202
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
21 - SetLbListener
21.1 - 1.2
put /v1/lb-listeners/{listener_id}
Description
리스너 목록을 수정한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
| body | body required | LbListenerSetRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"persistence": "",
"response_timeout": "",
"server_group_id": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": "",
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
21.2 - 1.1
put /v1/lb-listeners/{listener_id}
Description
리스너 목록을 수정한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
| body | body required | LbListenerSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"listener": {
"condition_type": "URL_PATH",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"insert_client_ip": "",
"persistence": "",
"response_timeout": "",
"server_group_id": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"support_http2": "",
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
22 - SetLBServerGroup
22.1 - 1.2
put /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 수정한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
| body | body required | LbServerGroupSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
22.2 - 1.1
put /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 수정한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
| body | body required | LbServerGroupSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"lb_server_group": {
"description": "this is an lb server group",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN"
}
}
Example HTTP response
Response 202
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
23 - SetLbServerGroupMember
23.1 - 1.2
put /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 수정한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
| body | body required | MemberSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | MemberShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Request body
{
"member": {
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100
}
}
Example HTTP response
Response 202
{
"member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
}
23.2 - 1.1
put /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 수정한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
| body | body required | MemberSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | MemberShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"member": {
"member_port": 80,
"member_state": "ENABLE",
"member_weight": 100
}
}
Example HTTP response
Response 202
{
"member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
}
24 - SetLoadbalancer
24.1 - 1.1
put /v1/loadbalancers/{loadbalancer_id}
Description
LoadBalancer를 수정한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
| body | body required | LoadbalancerUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LoadbalancerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Request body
{
"loadbalancer": {
"description": ""
}
}
Example HTTP response
Response 202
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"health_check_ip": [
""
],
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
25 - ShowLBHealthCheck
25.1 - 1.2
get /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
25.2 - 1.1
get /v1/lb-health-checks/{lb_health_check_id}
Description
LB 헬스 체크를 상세 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_health_check_id required | LB 헬스 체크 ID Example : e3cd678b11784734bc366148aa37580e | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbHealthCheckShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-health-checks/{lb_health_check_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"lb_health_check": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"health_check_count": 3,
"health_check_interval": 5,
"health_check_port": 80,
"health_check_timeout": 5,
"health_check_type": "DEFAULT",
"health_check_url": "/test",
"http_method": "GET",
"id": "46c681018e33453085ca7c8db54e0076",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "Test-LbMonitor-01",
"protocol": "TCP",
"request_data": "username=admin&password=1234",
"response_code": "200",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
26 - ShowLbListener
26.1 - 1.2
get /v1/lb-listeners/{listener_id}
Description
Listener를 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
26.2 - 1.1
get /v1/lb-listeners/{listener_id}
Description
Listener를 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | listener_id required | Listener 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbListenerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-listeners/{listener_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"listener": {
"condition_type": "URL_PATH",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"https_redirection": {
"port": "",
"protocol": "",
"response_code": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"insert_client_ip": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"persistence": "",
"protocol": "",
"response_timeout": "",
"routing_action": "LB_SERVER_GROUP",
"server_group_id": "",
"server_group_name": "",
"service_port": "",
"session_duration_time": "",
"sni_certificate": [
{
"domain_name": "",
"sni_cert_id": ""
}
],
"ssl_certificate": {
"client_cert_id": "",
"client_cert_level": "",
"server_cert_level": ""
},
"state": "",
"support_http2": false,
"url_handler": "",
"url_redirection": "",
"x_forwarded_for": "",
"x_forwarded_port": "",
"x_forwarded_proto": ""
}
}
27 - ShowLBServerGroup
27.1 - 1.2
get /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
27.2 - 1.1
get /v1/lb-server-groups/{lb_server_group_id}
Description
LB 서버 그룹을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | LB 서버 그룹 ID Example : 3d8d8754d0d54683a29f3dcc3dd95d5b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbServerGroupShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"lb_server_group": {
"account_id": "e3cd678b11784734bc366148aa37580e",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "this is an lb server group",
"id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
"lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
"lb_method": "ROUND_ROBIN",
"lb_name": "Test-LB-01",
"loadbalancer_id": "82efa35c88834bc083020443e57faa10",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ServerGroup01",
"protocol": "TCP",
"state": "ACTIVE",
"subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
"vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
}
}
28 - ShowLbServerGroupMember
28.1 - 1.2
get /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MemberShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
}
28.2 - 1.1
get /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Description
Member를 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_server_group_id required | Lb Server Group ID Example : | string | None |
| path | member_id required | ID of Member Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MemberShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"member": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lb_server_group_id": "",
"member_ip": "",
"member_port": "",
"member_state": "",
"member_weight": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"object_id": "",
"object_type": "VM",
"state": "CREATING",
"subnet_id": "",
"uuid": ""
}
}
29 - ShowLoadbalancer
29.1 - 1.2
get /v1/loadbalancers/{loadbalancer_id}
Description
LoadBalancer를 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"health_check_ip": [
""
],
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
29.2 - 1.1
get /v1/loadbalancers/{loadbalancer_id}
Description
LoadBalancer를 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"loadbalancer": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"health_check_ip": [
""
],
"id": "",
"layer_type": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
}
30 - ShowLoadbalancerCertificate
30.1 - 1.2
get /v1/loadbalancers/certificates/{lb_certificate_id}
Description
인증서를 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_certificate_id required | 인증서 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbCertificateShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/certificates/{lb_certificate_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "",
"cert_body": "",
"cert_chain": "",
"cert_kind": "",
"cn": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"not_after_dt": "2026-02-11T06:42:52.642Z",
"not_before_dt": "2026-02-11T06:42:52.642Z",
"organization": "",
"private_key": "",
"state": ""
}
}
30.2 - 1.1
get /v1/loadbalancers/certificates/{lb_certificate_id}
Description
인증서를 조회한다
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | lb_certificate_id required | 인증서 아이디 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LbCertificateShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/certificates/{lb_certificate_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"certificate": {
"account_id": "",
"cert_body": "",
"cert_chain": "",
"cert_kind": "",
"cn": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"not_after_dt": "2026-02-11T06:42:52.642Z",
"not_before_dt": "2026-02-11T06:42:52.642Z",
"organization": "",
"private_key": "",
"state": ""
}
}
31 - ShowLoadbalancerPublicNatIp
31.1 - 1.2
get /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
Show Load Balancer Public NAT IP
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerStaticNatResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"
Example HTTP response
Response 200
{
"static_nat": {
"external_ip_address": "",
"publicip_id": "",
"state": ""
}
}
31.2 - 1.1
get /v1/loadbalancers/{loadbalancer_id}/static-nats
Description
Show Load Balancer Public NAT IP
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | loadbalancer_id required | 자원 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerStaticNatResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/loadbalancers/{loadbalancer_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"static_nat": {
"external_ip_address": "",
"publicip_id": "",
"state": ""
}
}